<?php

namespace Drupal\symfony_messenger;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\Messenger\DependencyInjection\MessengerPass;

/**
 * Registers the Symfony Messenger service provider.
 */
class SymfonyMessengerServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container): void {
    $container->addCompilerPass(new MessengerPass());
  }

}
